For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jobs

List jobs

get
Authorizations
AuthorizationstringRequired
Path parameters
workspace_idstring · uuidRequired
Query parameters
connector_nameanyOptional
data_sourceanyOptional
is_activebooleanOptional
nameanyOptional
orderingstringOptional

Which field to use when ordering the results.

pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

schema_nameanyOptional
Responses
200Success
application/json
countintegerOptionalExample: 50
next_pageinteger · nullableOptionalExample: 3
previous_pageinteger · nullableOptionalExample: 1
page_sizeintegerOptionalExample: 10
total_pagesintegerOptionalExample: 5
current_pageintegerOptionalExample: 2
get/developers/workspaces/{workspace_id}/jobs/
200Success

Cancel job execution

delete
Authorizations
AuthorizationstringRequired
Path parameters
_idstring · uuidRequired
workspace_idstring · uuidRequired
Responses
204

No response body

No content

delete/developers/workspaces/{workspace_id}/jobs/{_id}/cancel/
204

No response body

No content

Trigger job execution

post
Authorizations
AuthorizationstringRequired
Path parameters
_idstring · uuidRequired
workspace_idstring · uuidRequired
Query parameters
force_full_refreshbooleanOptional

Whether to force a full refresh on partial jobs.

Default: false
Responses
201

No response body

No content

post/developers/workspaces/{workspace_id}/jobs/{_id}/run/
201

No response body

No content

Last updated